image: lganee/fatapache:1.1.7

variables:
  COMPOSER_ALLOW_SUPERUSER: "1"

test:
  before_script:
    - eval $(ssh-agent -s)
    - ssh-add <(echo "$SSH_PRIVATE_KEY_DEPLOY_DEV")
    - mkdir -p ~/.ssh data/ tmp/ logs/
    - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
  script:
    - date +"%T"
    - composer install
    - date +"%T"
    - vendor/phpunit/phpunit/phpunit --colors=never --coverage-text --coverage-html coverage-output/ --log-junit=logs/junit.xml --coverage-clover=logs/coverage.xml
    - date +"%T"
    - /opt/sonar-scanner/bin/sonar-scanner -Dsonar.login=$SONAR_TOKEN
    - date +"%T"
    - cd $PWD/coverage-output/ && zip -q -r $PWD/coverage.cakephp-datacompressor.zip .
    - scp -P $SSH_PORT_DEPLOY_DEV $PWD/coverage.cakephp-datacompressor.zip $URL_DEPLOY_DEV:$DEPLOY_DIR
    - ssh -p $SSH_PORT_DEPLOY_DEV $URL_DEPLOY_DEV "sudo rm -rf $DEPLOY_DIR/webroot/coverage/cakephp-datacompressor"
    - ssh -p $SSH_PORT_DEPLOY_DEV $URL_DEPLOY_DEV "sudo unzip -q -o $DEPLOY_DIR/coverage.cakephp-datacompressor.zip -d $DEPLOY_DIR/webroot/coverage/cakephp-datacompressor"
    - ssh -p $SSH_PORT_DEPLOY_DEV $URL_DEPLOY_DEV "sudo rm -fr $DEPLOY_DIR/coverage.cakephp-datacompressor.zip"
  coverage: '/^ *Lines: *\d+\.\d+%/'
